Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.lang
Class ReaderPolicy

    java.lang.Object
      jif.lang.AbstractPolicy
          jif.lang.ReaderPolicy

All Implemented Interfaces:
  ConfPolicy, Policy

    public class ReaderPolicy

extends AbstractPolicy
implements ConfPolicy

Field Summary

Fields inherited from class jif.lang.AbstractPolicy
`labelUtil`

Constructor Summary
`ReaderPolicy(LabelUtil labelUtil, Principal owner, Principal reader)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`ConfPolicy` | `join(ConfPolicy p)`
`ConfPolicy` | `join(ConfPolicy p, java.util.Set s)` Return the join of this policy and p.
`ConfPolicy` | `meet(ConfPolicy p)`
`ConfPolicy` | `meet(ConfPolicy p, java.util.Set s)`
`Principal` | `owner()`
`Principal` | `reader()`
`boolean` | `relabelsTo(Policy p, java.util.Set s)` Does this policy relabel to policy p? If this method returns true, then all delegations that this result depend upon (i.e., DelegationPairs) should be added to the set s.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReaderPolicy

    public ReaderPolicy(LabelUtil labelUtil,
                        Principal owner,
                        Principal reader)

Method Detail

### owner

    public Principal owner()

### reader

    public Principal reader()

### relabelsTo

    public boolean relabelsTo(Policy p,
                              java.util.Set s)

  Description copied from interface: `Policy`
  Does this policy relabel to policy p? If this method returns true, then all delegations that this result depend upon (i.e., DelegationPairs) should be added to the set s. If this method returns false, then the set is not altered at all.

  Specified by:
    `relabelsTo` in interface `Policy`
  Returns:

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `AbstractPolicy`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in class `AbstractPolicy`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### join

    public ConfPolicy join(ConfPolicy p,
                           java.util.Set s)

  Description copied from interface: `ConfPolicy`
  Return the join of this policy and p. The set s contains all delegations (i.e., DelegationPairs) that this join result depends upon.

  Specified by:
    `join` in interface `ConfPolicy`

### join

    public ConfPolicy join(ConfPolicy p)

  Specified by:
    `join` in interface `ConfPolicy`

### meet

    public ConfPolicy meet(ConfPolicy p,
                           java.util.Set s)

  Specified by:
    `meet` in interface `ConfPolicy`

### meet

    public ConfPolicy meet(ConfPolicy p)

  Specified by:
    `meet` in interface `ConfPolicy`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD